include:
  - template: Security/SAST.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml
  - template: Security/Secret-Detection.gitlab-ci.yml

sast:
  stage: test

stages:
  - "test"
  - publish

pages:
  image: alpine:latest
  stage: publish
  before_script:
    - apk add bash git ruby ruby-json go curl nodejs npm
    - mkdir -p /usr/local/go/bin
    - export GOBIN=/usr/local/go/bin
    - go install -a github.com/jsonnet-bundler/jsonnet-bundler/cmd/jb@latest
    - export PATH=$PATH:$GOBIN
    - mkdir jsonnet-install
    - cd jsonnet-install
    - curl -L https://gitlab.com/gitlab-com/gl-infra/jsonnet-tool/-/releases/v1.7.0/downloads/jsonnet-tool_1.7.0_Linux_x86_64.tar.gz -o jsonnet-tool.tgz
    - tar -xvzf jsonnet-tool.tgz
    - mv jsonnet-tool /usr/local/bin
    - "cd .."
    - npm install
  script:
    - ./scripts/generate-bookmarks.sh
  artifacts:
    paths:
      - public
  only:
    - main
